%define libxtst %mklibname xtst 6
Name: libxtst
Summary:  The Xtst Library
Version: 1.0.3
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXtst-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The Xtst Library

#-----------------------------------------------------------

%package -n %{libxtst}
Summary:  The Xtst Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxtst}
The Xtst Library

#-----------------------------------------------------------

%package -n %{libxtst}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxtst} >= %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxtst-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxtst}-devel
Development files for %{name}

%files -n %{libxtst}-devel
%defattr(-,root,root)
%{_libdir}/libXtst.so
%{_libdir}/libXtst.la
%{_libdir}/pkgconfig/xtst.pc
%{_mandir}/man3/XTest*

#-----------------------------------------------------------

%package -n %{libxtst}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxtst}-devel >= %{version}
Provides: libxtst-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxtst}-static-devel
Static development files for %{name}

%files -n %{libxtst}-static-devel
%defattr(-,root,root)
%{_libdir}/libXtst.a

#-----------------------------------------------------------

%prep
%setup -q -n libXtst-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files -n %{libxtst}
%defattr(-,root,root)
%{_libdir}/libXtst.so.6
%{_libdir}/libXtst.so.6.1.0


%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-3mdv2009.0
+ Revision: 223088
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Wed Jan 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-2mdv2008.1
+ Revision: 153778
- Update BuildRequires and submit

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 65412
- new upstream version

* Fri Jun 22 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0.2-1mdv2008.0
+ Revision: 43195
- new upstream version: 1.0.2


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

